org.modeshape.jcr.xml

## Enum NodeImportXmlHandler.AttributeScoping

- java.lang.Object
- - java.lang.Enum<NodeImportXmlHandler.AttributeScoping>
  - - org.modeshape.jcr.xml.NodeImportXmlHandler.AttributeScoping

- All Implemented Interfaces:
    Serializable, Comparable<NodeImportXmlHandler.AttributeScoping>
  Enclosing class:
    NodeImportXmlHandler

      public static enum NodeImportXmlHandler.AttributeScoping
      extends Enum<NodeImportXmlHandler.AttributeScoping>

  The choices for how attributes that have no namespace prefix should be assigned a namespace.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INHERIT_ELEMENT_NAMESPACE` The attribute's namespace is the same namespace as the containing element
    `USE_DEFAULT_NAMESPACE` The attribute's namespace is the default namespace

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NodeImportXmlHandler.AttributeScoping` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NodeImportXmlHandler.AttributeScoping[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USE_DEFAULT_NAMESPACE

          public static final NodeImportXmlHandler.AttributeScoping USE_DEFAULT_NAMESPACE

      The attribute's namespace is the default namespace

    - #### INHERIT_ELEMENT_NAMESPACE

          public static final NodeImportXmlHandler.AttributeScoping INHERIT_ELEMENT_NAMESPACE

      The attribute's namespace is the same namespace as the containing element

  - ### Method Detail

    - #### values

          public static NodeImportXmlHandler.AttributeScoping[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeImportXmlHandler.AttributeScoping c : NodeImportXmlHandler.AttributeScoping.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeImportXmlHandler.AttributeScoping valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.